Get folder in directory version
Retrieves a particular version of the directory FOLDER identified by version_uid and associated with the EHR identified by ehr_id.
If path is supplied, retrieves from the directory only the sub-FOLDER that is associated with that path.
Path Parameters
- Type: string
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: string
version _uid requiredVERSION identifier taken from VERSION.uid.value.
Query Parameters
- Type: string
path A path to a sub-folder; consists of slash-separated values of the name attribute of FOLDERs in the directory.
Responses
- application/json
404 404 Not Foundis returned when an EHR withehr_iddoes not exist, or when a directory withversion_uiddoes not exist, or whenpathdoes not exist within the directory.
Request Example for get/ehr/{ehr_id}/directory/{version_uid}
curl 'https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/directory/6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2?path=episodes%2Fa%2Fb%2Fc'
{
"archetype_node_id": "openEHR-EHR-FOLDER.directory.v1",
"name": {
"value": "Directory"
},
"uid": {
"_type": "OBJECT_VERSION_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"items": [],
"folders": []
}